package cc.smtweb.system.bpm.web.design.db;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.vo.ModelProject;
import cc.smtweb.framework.core.mvc.service.*;

/**
 * Created by Akmm at 2022/3/1 17:00
 * 项目服务类
 */
@SwService
public class ModelProjectService extends AbstractCompService {
    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_LOAD:
                return new DefaultLoadHandler<ModelProject>(ModelProject.ENTITY_NAME);
            case TYPE_SAVE:
                return new DefaultSaveHandler<>(ModelProject.ENTITY_NAME);
            case TYPE_DEL:
                return new DefaultDelHandler<>(ModelProject.ENTITY_NAME);
            case TYPE_LIST:
                return new DefaultListHandler<>(ModelProject.ENTITY_NAME);
            case TYPE_COMBO:
                return new DefaultComboHandler<>(ModelProject.ENTITY_NAME);
        }
        return null;
    }


}
